<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Class hk.quantr.mxgraph.view.mxGraphView (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class hk.quantr.mxgraph.view.mxGraphView (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class hk.quantr.mxgraph.view.mxGraphView" class="title">Uses of Class<br>hk.quantr.mxgraph.view.mxGraphView</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.view">hk.quantr.mxgraph.view</a></th>
<td class="colLast">
<div class="block">This package implements the graph component, represented by the mxGraph
  class.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.view">
<!--   -->
</a>
<h3>Uses of <a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a> in <a href="../package-summary.html">hk.quantr.mxgraph.view</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../package-summary.html">hk.quantr.mxgraph.view</a> declared as <a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellState.</span><code><span class="memberNameLink"><a href="../mxCellState.html#view">view</a></span></code></th>
<td class="colLast">
<div class="block">Reference to the enclosing graph view.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraph.</span><code><span class="memberNameLink"><a href="../mxGraph.html#view">view</a></span></code></th>
<td class="colLast">
<div class="block">Holds the view that caches the cell states.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphView.mxCurrentRootChange.</span><code><span class="memberNameLink"><a href="../mxGraphView.mxCurrentRootChange.html#view">view</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxTemporaryCellStates.</span><code><span class="memberNameLink"><a href="../mxTemporaryCellStates.html#view">view</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">hk.quantr.mxgraph.view</a> that return <a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraph.</span><code><span class="memberNameLink"><a href="../mxGraph.html#createGraphView()">createGraphView</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructs a new view to be used in this graph.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellState.</span><code><span class="memberNameLink"><a href="../mxCellState.html#getView()">getView</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the enclosing graph view.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraph.</span><code><span class="memberNameLink"><a href="../mxGraph.html#getView()">getView</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the view that contains the cell states.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphView.mxCurrentRootChange.</span><code><span class="memberNameLink"><a href="../mxGraphView.mxCurrentRootChange.html#getView()">getView</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the graph view where the change happened.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">hk.quantr.mxgraph.view</a> with parameters of type <a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellState.</span><code><span class="memberNameLink"><a href="../mxCellState.html#setView(hk.quantr.mxgraph.view.mxGraphView)">setView</a></span>&#8203;(<a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a>&nbsp;view)</code></th>
<td class="colLast">
<div class="block">Sets the enclosing graph view.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraph.</span><code><span class="memberNameLink"><a href="../mxGraph.html#setView(hk.quantr.mxgraph.view.mxGraphView)">setView</a></span>&#8203;(<a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the view that contains the cell states.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructors in <a href="../package-summary.html">hk.quantr.mxgraph.view</a> with parameters of type <a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxCellState.html#%3Cinit%3E(hk.quantr.mxgraph.view.mxGraphView,java.lang.Object,java.util.Map)">mxCellState</a></span>&#8203;(<a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a>&nbsp;view,
           java.lang.Object&nbsp;cell,
           java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">
<div class="block">Constructs a new object that represents the current state of the given
 cell in the specified view.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxGraphView.mxCurrentRootChange.html#%3Cinit%3E(hk.quantr.mxgraph.view.mxGraphView,java.lang.Object)">mxCurrentRootChange</a></span>&#8203;(<a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a>&nbsp;view,
                   java.lang.Object&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Constructs a change of the current root in the given view.</div>
</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxTemporaryCellStates.html#%3Cinit%3E(hk.quantr.mxgraph.view.mxGraphView)">mxTemporaryCellStates</a></span>&#8203;(<a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a>&nbsp;view)</code></th>
<td class="colLast">
<div class="block">Constructs a new temporary cell states instance.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxTemporaryCellStates.html#%3Cinit%3E(hk.quantr.mxgraph.view.mxGraphView,double)">mxTemporaryCellStates</a></span>&#8203;(<a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a>&nbsp;view,
                     double&nbsp;scale)</code></th>
<td class="colLast">
<div class="block">Constructs a new temporary cell states instance.</div>
</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxTemporaryCellStates.html#%3Cinit%3E(hk.quantr.mxgraph.view.mxGraphView,double,java.lang.Object%5B%5D)">mxTemporaryCellStates</a></span>&#8203;(<a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a>&nbsp;view,
                     double&nbsp;scale,
                     java.lang.Object[]&nbsp;cells)</code></th>
<td class="colLast">
<div class="block">Constructs a new temporary cell states instance.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxGraphView.html" title="class in hk.quantr.mxgraph.view">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
